summaryrefslogtreecommitdiff
path: root/scripts/0000-prepare-os.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/0000-prepare-os.sh')
-rwxr-xr-xscripts/0000-prepare-os.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/0000-prepare-os.sh b/scripts/0000-prepare-os.sh
new file mode 100755
index 0000000..33b0deb
--- /dev/null
+++ b/scripts/0000-prepare-os.sh
@@ -0,0 +1,15 @@
+#!/bin/env bash
+
+set -e
+
+pacman --noconfirm -Syu
+
+pacman --noconfirm --needed -S \
+ base-devel \
+ libelf \
+ libmpc \
+ zlib
+
+pacman --noconfirm --needed --asdeps -S \
+ gmp \
+ mpfr